## gpac-dmo 2.4.0

=== debian/changelog ===
gpac-dmo (1:2.4.0-dmo2~bpo13+1) trixie-backports; urgency=medium

  * Upload to stable-backports (Build with ffmpeg 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Oct 2025 14:52:06 +0200

gpac-dmo (1:2.4.0-dmo2) unstable; urgency=medium

  * Add upstream patch to fix build with ffmpeg.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Oct 2024 17:42:18 +0100

gpac-dmo (1:2.4.0-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Oct 2024 17:24:01 +0100

gpac-dmo (1:2.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Apr 2024 23:50:00 +0200

gpac-dmo (1:2.3+20240413.gitd178fe44e-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Remove all CVS patches, fixed upstream.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Apr 2024 09:57:38 +0200

gpac-dmo (1:2.2.1-dmo5) unstable; urgency=medium

  * Remove not needed libxmlrpc-core-c3-dev from Build-Depends
  * Add upstream patches to fixes :
    CVE-2023-5377: Out-of-bounds Read
    CVE-2023-5520: Out-of-bounds Read
    CVE-2023-5586: NULL Pointer Dereference
    CVE-2023-41000: use-after-free vulnerability
    CVE-2023-42298: denial of service
    CVE-2023-47465: denial of service 

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Mar 2024 08:55:24 +0100

gpac-dmo (1:2.2.1-dmo4) unstable; urgency=medium

  * Rebuild for time_t (libssl3t64)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 14:59:35 +0100

gpac-dmo (1:2.2.1-dmo3) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Feb 2024 16:48:19 +0100

gpac-dmo (1:2.2.1-dmo2) unstable; urgency=medium

  * Add upstream patches to fixes :
    CVE-2023-3012: NULL Pointer Dereference
    CVE-2023-3013: Unchecked Return Value
    CVE-2023-3291: Heap-based Buffer Overflow
    CVE-2023-39562: heap-use-after-free
    CVE-2023-4678: Divide By Zero
    CVE-2023-4681: NULL Pointer Dereference
    CVE-2023-4682: Heap-based Buffer Overflow
    CVE-2023-4683: NULL Pointer Dereference
    CVE-2023-4720: Floating Point Comparison with Incorrect Operator
    CVE-2023-4721: Out-of-bounds Read
    CVE-2023-4722: Integer Overflow or Wraparound
    CVE-2023-4754: Out-of-bounds Write
    CVE-2023-4755: Use After Free
    CVE-2023-4756: Stack-based Buffer Overflow
    CVE-2023-4758: Buffer Over-read
    CVE-2023-4778: Out-of-bounds Read


 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Sep 2023 11:16:23 +0200
