=== debian/control ===
Source: gpac-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://gpac.sourceforge.net
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Conflicts: libgpac-dev, libopenjpeg-dev
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libxvidcore-dev,
 libsdl2-dev, libpng-dev, libfreetype-dev, libjpeg62-turbo-dev, libmad0-dev,
 libxml2-dev, libssl-dev, libasound2-dev, freeglut3-dev, libpulse-dev, quilt,
 liblzma-dev, libfaad-dev (>= 2.7), libogg-dev, liba52-0.7.4-dev, libswscale-dev,
 libjack-jackd2-dev, libxv-dev, libvorbis-dev, libtheora-dev, libopenjp2-7-dev,
 libavcodec-dev (>= 10:6.0~), libavdevice-dev, libavformat-dev, libusb-1.0-0-dev,
 libavutil-dev, libnghttp2-dev, libhidapi-dev

# libxmlrpc-core-c3-dev,

Package: gpac
Architecture: any
Depends: gpac-modules-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: multimedia framework based on the MPEG-4 Systems standard
 The main development goal is to provide a clean (a.k.a. readable by as many
 people as possible), small and flexible alternative to the MPEG-4 Systems
 reference software (known as IM1 and distributed in ISO/IEC 14496-5). The
 MPEG-4 Reference software is indeed a very large piece of software,
 designed to verify the standard rather than provide a small,
 production-stable software.

Package: gpac-modules-base
Architecture: any
Multi-Arch: same
Breaks: gpac (<= 1:0.5.0-dmo2)
Replaces: gpac (<= 1:0.5.0-dmo2)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GPAC Project on Advanced Content - modules
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It
 is an Open Source multimedia framework for research and academic purposes.
 The project covers different aspects of multimedia, with a focus on
 presentation technologies (graphics, animation and interactivity).
 .
 This package contains the GPAC modules.

Package: libgpac12t64
Provides: ${t64:Provides}
Replaces: libgpac12
Breaks: libgpac12 (<< ${source:Version})
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multimedia framework based on the MPEG-4 Systems standard
 The main development goal is to provide a clean (a.k.a. readable by as many
 people as possible), small and flexible alternative to the MPEG-4 Systems
 reference software (known as IM1 and distributed in ISO/IEC 14496-5). The
 MPEG-4 Reference software is indeed a very large piece of software,
 designed to verify the standard rather than provide a small,
 production-stable software.

Package: libgpac-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libgpac12t64 (= ${binary:Version}), ${misc:Depends}
Replaces: gpac (<= 0.4.0+rc2-0.4)
Description: multimedia framework based on the MPEG-4 Systems standard
 The main development goal is to provide a clean (a.k.a. readable by as many
 people as possible), small and flexible alternative to the MPEG-4 Systems
 reference software (known as IM1 and distributed in ISO/IEC 14496-5). The
 MPEG-4 Reference software is indeed a very large piece of software,
 designed to verify the standard rather than provide a small,
 production-stable software.
