=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

include /usr/share/dpkg/architecture.mk

ifeq ($(origin CC),default)
	CC := $(DEB_HOST_GNU_TYPE)-gcc
endif
export CC

ifeq ($(origin CXX),default)
	CXX := $(DEB_HOST_GNU_TYPE)-g++
endif
export CXX

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)

ifeq "$(DEB_HOST_ARCH)" "armel"
	extralibs += -latomic
endif

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	--libdir=lib/$(DEB_HOST_MULTIARCH) --use-freenect=no \
	--extra-cflags="-DXP_UNIX $(CFLAGS)" --enable-pic --enable-debug \
	--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)" $(extralibs)

	echo "#define GPAC_GIT_REVISION	\"$(DEB_VERSION)\"" > include/gpac/revision.h

#	exit 1

execute_after_dh_auto_install:
	iconv \
	-f iso8859-1 \
	-t utf8 \
	-o debian/tmp/usr/include/gpac/internal/avilib.h \
	debian/tmp/usr/include/gpac/internal/avilib.h

override_dh_install:
	$(MAKE) install-lib prefix=$(CURDIR)/debian/tmp/usr

	dh_install

#override_dh_auto_build-indep:
#	$(MAKE) doc

#	dh_installdocs share/doc/html-libgpac

override_dh_clean:
	rm -rf src/.deps
	-rm src/.depend

	dh_clean config.log config.h bin/gcc/libgpac* gpac.pc \
	src/filters/dec_openhevc.o applications/generators/WebGLGen/WGLGen \
	src/modules/dektec_out/dektec_video_decl.dep include/gpac/revision.h

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean
