=== debian/watch ===
version=4

https://github.com/gpac/gpac/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
