=== modules/pulseaudio/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/pulseaudio

CFLAGS=-I"$(SRC_PATH)/include" $(OPTFLAGS)

include ../common.mak

#common obj
OBJS= pulseaudio.o

SRCS := $(OBJS:.o=.c)

LIB=gm_pulseaudio$(DYN_LIB_SUFFIX)

all: $(LIB)

$(LIB): $(OBJS)
	echo $(LDFLAGS)
	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/$@ $(OBJS) $(EXTRALIBS) -L../../bin/gcc -lgpac -lpulse -lpulse-simple

clean:
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend

-include .depend
