=== debian/changelog ===
gpac-dmo (1:26.02.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Feb 2026 15:14:34 +0100

gpac-dmo (1:2.4.0-dmo3) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Aug 2025 17:22:56 +0200
