=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: gpac-dmo
 Section: graphics
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gpac.sourceforge.net
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Conflicts: libgpac-dev, libopenjpeg-dev
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), libxvidcore-dev,
  libsdl2-dev, libpng-dev, libfreetype-dev, libjpeg62-turbo-dev, libmad0-dev,
@@ -42,10 +40,7 @@
  .
  This package contains the GPAC modules.
 
-Package: libgpac12t64
-Provides: ${t64:Provides}
-Replaces: libgpac12
-Breaks: libgpac12 (<< ${source:Version})
+Package: libgpac16
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -62,7 +57,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libgpac12t64 (= ${binary:Version}), ${misc:Depends}
+Depends: libgpac16 (= ${binary:Version}), ${misc:Depends}
 Replaces: gpac (<= 0.4.0+rc2-0.4)
 Description: multimedia framework based on the MPEG-4 Systems standard
  The main development goal is to provide a clean (a.k.a. readable by as many
