=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,13 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	--libdir=lib/$(DEB_HOST_MULTIARCH) --use-freenect=no \
-	--extra-cflags="-DXP_UNIX $(CFLAGS)" --enable-pic --enable-debug \
-	--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)" $(extralibs)
+	--enable-debug \
+	--enable-pic \
+	--extra-cflags="-DXP_UNIX $(CFLAGS)" \
+	--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)" $(extralibs) \
+	--libdir=lib/$(DEB_HOST_MULTIARCH) \
+	--use-freenect=no
+
 
 	echo "#define GPAC_GIT_REVISION	\"$(DEB_VERSION)\"" > include/gpac/revision.h
